Summary: IPA Type1 fonts.
Name: tipa-type1
Version: 3.1
Release: 1
License: public-domain
Group: Applications/Publishing
Source: http://http.us.debian.org/debian/pool/main/t/%{name}/%{name}_19980806.orig.tar.gz
Patch: %{name}-make.patch.gz
Packager: Matej Cepl <ceplma00@yahoo.com>
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}
Buildrequires: sed, grep, chkfontpath

%description
PostScript Type 1 font for the Phonetic Alphabet This package
contains type 1 version of the Phonetic fonts of the TIPA (Tokyo
International Phonetic Alphabet). It contains the pfb, afm and
pfm files.

%package tetex
Summary: IPA Type1 fonts for tetex
Group: Applications/Publishing

%description tetex
PostScript Type 1 font for the Phonetic Alphabet This package
contains type 1 version of the Phonetic fonts of the TIPA (Tokyo
International Phonetic Alphabet) for LaTeX. It contains the pfb,
afm and pfm files. When installing this package, the psfonts.map
for dvips is automatically updated.

Install this package, if you need support for IPA in LaTeX.

%package X11
Summary: IPA Type1 fonts for X11
Group: User Interface/X

%description X11
X11 PostScript Type 1 font for the Phonetic Alphabet This package
contains type 1 version of the Phonetic fonts of the TIPA (Tokyo
International Phonetic Alphabet) for X11. It contains the pfb and
afm files. The installed X font has the silipa enconding.  After
installing this package, please update your xfs configuration
file or XF86Config.

Install this package, if you need support for IPA in X Window.

%prep
%setup -q -n %{name}_19980806.orig
%patch -p1 

%build

%install
rm -rf $RPM_BUILD_ROOT

#%install tetex
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/dvips/config
install -g root -o root -m oga+r,u+w \
	 conf/tipa.map $RPM_BUILD_ROOT/usr/share/texmf/dvips/config/tipa.map
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/fonts/type1/hoekwater/tipa
install -g root -o root -m oga+r,u+w \
	x*.pfb $RPM_BUILD_ROOT/usr/share/texmf/fonts/type1/hoekwater/tipa
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/fonts/afm/hoekwater/tipa
install -g root -o root -m oga+r,u+w \
	afm/* $RPM_BUILD_ROOT/usr/share/texmf/fonts/afm/hoekwater/tipa
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/fonts/pfm/hoekwater/tipa
install -g root -o root -m oga+r,u+w \
	pfm/* $RPM_BUILD_ROOT/usr/share/texmf/fonts/pfm/hoekwater/tipa

#%install X11
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings
install -g root -o root -m oga+r,u+w conf/silipa.enc \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/silipa.enc
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/TIPA/
install -g root -o root -m oga+r,u+w \
	conf/fonts.* $RPM_BUILD_ROOT/usr/share/fonts/TIPA/
install -g root -o root -m oga+r,u+w \
	x*.pfb $RPM_BUILD_ROOT/usr/share/fonts/TIPA/
install -g root -o root -m oga+r,u+w \
	afm/* $RPM_BUILD_ROOT/usr/share/fonts/TIPA/
install -g root -o root -m oga+r,u+w \
	pfm/* $RPM_BUILD_ROOT/usr/share/fonts/TIPA/


%post tetex
TEXMF=/usr/share/texmf/
cp $TEXMF/dvips/config/config.ps %{_tmppath}/
cat %{_tmppath}/config.ps | sed -e '/^p psfonts.map$/a\
p +tipa.map' > $TEXMF/dvips/config/config.ps
cp $TEXMF/pdftex/config/pdftex.cfg %{_tmppath}/
cat %{_tmppath}/pdftex.cfg | sed -e '/^map pdftex.map$/a\
map +tipa.map' > $TEXMF/pdftex/config/pdftex.cfg
rm %{_tmppath}/pdftex.cfg %{_tmppath}/config.ps
texhash

%post X11
chkfontpath --add /usr/share/fonts/TIPA
[ -z $DISPLAY ] || xset fp rehash

%postun tetex
TEXMF=/usr/share/texmf/
cp $TEXMF/dvips/config/config.ps %{_tmppath}/
grep -v '^p +tipa.map$' %{_tmppath}/config.ps \
	> $TEXMF/dvips/config/config.ps
cp $TEXMF/pdftex/config/pdftex.cfg %{_tmppath}/
grep -v '^map +tipa.map$' %{_tmppath}/pdftex.cfg \
	> $TEXMF/pdftex/config/pdftex.cfg
rm %{_tmppath}/pdftex.cfg %{_tmppath}/config.ps
texhash

%postun X11
chkfontpath --remove /usr/share/fonts/TIPA
[ -z $DISPLAY ] || xset fp rehash

%clean
rm -rf $RPM_BUILD_ROOT

%files tetex
%defattr(-,root,root)
%doc README README.Debian copyright
%config /usr/share/texmf/dvips/config/tipa.map
/usr/share/texmf/fonts/type1/hoekwater/tipa
/usr/share/texmf/fonts/afm/hoekwater/tipa
/usr/share/texmf/fonts/pfm/hoekwater/tipa
%files X11
%defattr(-,root,root)
%doc README README.Debian copyright
%config /usr/X11R6/lib/X11/fonts/encodings/silipa.enc
/usr/share/fonts/TIPA

%changelog
* Sat Nov 10 2001 Matej Cepl <ceplma00@yahoo.com>
- porting from Debian package to RPM
* Tue Apr 17 2001 Rafael Laboissiere <rafael@icp.inpg.fr> 
- changes in Debian package
- Applied patch from Peter Novodvorsky <nidd@altlinux.ru> to
  create the xfonts-tipa package with silipa encoding.
* Wed Jan 26 2000 Rafael Laboissiere <rafael@icp.inpg.fr> 
- changes in Debian package
* Sat Nov  6 1999 Rafael Laboissiere <rafael@icp.inpg.fr> 
- changes in Debian package
- correction of GPL location
* Thu Jun 10 1999 Rafael Laboissiere <rafael@icp.inpg.fr> 
- initial release.
